Nowe posty

Autor Wątek: aptosid - problem ze sterownikami nvidia  (Przeczytany 6620 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 17
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« dnia: 2011-06-30, 23:06:49 »
Witam,

po ostatniej aktualizacji aptosid mam problem z uruchomieniem X-ów.
Sterowniki z repozytoriów nie zostały automatycznie zainstalowane, z powodu konfliktu:
apt-get install nvidia-glx
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności      
Odczyt informacji o stanie... Gotowe
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub używasz dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 nvidia-glx : Wymaga: libgl1-nvidia-glx (= 275.09.07-1)
E: Pakiety są uszkodzone
Gdy próbuję zaistalować libgl1-nvidia-glx to apt-get to pokazuje ten sam błąd i żąda libgl1-nvidia-alternatives, z kolei gdy próbuję ten pakiet zainstalować to apt-get chce usunąć bardzo wiele pakietów związanych z KDE.

Próbowałem również zainstalować sterowniki ze strony producenta (wersja 275.09.07), ale też nic z tego. Po uruchomieniu instalatora i wciśnięciu Akcept instalator wysypuje się dając tylko komunikat:

 RECEIVED SIGNAL SIGTERM; aborting.
Mało tego otwarte sterowniki nouvae nie działają z jądrem 2.6.39-2 pod 2.6.37 na szczęście działa.

Proszę o pomoc

Offline Andrzej J

  • Users
  • Guru
  • *****
  • Wiadomości: 704
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #1 dnia: 2011-07-01, 00:06:41 »
Aptosid ma to do siebie,że musisz czasami trochę poczekać, aż najnowszy kernel zacznie Ci działać. Ja korzystam w aptosid ze sterów producenta i na dzisiaj po aktualizacji nie mam problemów. Mam zainstalowanego kernela 2.6.39-2, ale na sterach nvidii. Ale od marca na kernelu 2.6.37 czekałem do maja aż nvidia zamieści nowe stery i dopiero wtedy mogłem przejść na kernela 2.6.38=>. Jeżeli kernel 2.6.37 działa Ci prawidłowo to nie zmieniaj. Na laptoopie z pclosem kernel 2.6.32 działa mi prawidłowo mimo że jest już 2.6.38, który działa źle-nieprędko go zmienię. Jak Ci system proponuje odinstalowanie połowy środowiska graficznego- to poczekaj dzień dwa -poprawią błędy upgrajdujesz. Pozdrawiam
P.S. I sprawdzasz problemy z aktualizacją na stronie aptosid?
http://aptosid.com/index.php?name=PNphpBB2&file=viewforum&f=3&sid=e6d114c0f9ce33fe8cfbf7f865f6ccb5

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 365
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #2 dnia: 2011-07-01, 08:03:40 »
Potwierdzam :)
Na kernelu 2.6.39-1 była kicha, na 2.6.39-2 działa. U mnie na sterownikach z repozytorium.
Pozdrawiam aptosidowców :D

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 17
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #3 dnia: 2011-07-01, 09:22:01 »
Cytuj
Mam zainstalowanego kernela 2.6.39-2, ale na sterach nvidii
Również mam ten kernel, i jak pisałem stery nvidii nie chcą się zainstalować, zwykle instalator podawał jakiś konkretny powód.

Cytuj
od marca na kernelu 2.6.37 czekałem do maja aż nvidia zamieści nowe stery i dopiero wtedy mogłem przejść na kernela 2.6.38
Również długo siedziałem na tym kernelu w oczekiwaniu na stery, ale na 2.6.39-0 wszystko działało tak jak trzeba, więc się dziwie że teraz nie chce.

Cytuj
Jeżeli kernel 2.6.37 działa Ci prawidłowo to nie zmieniaj
Ogólnie to wszystko działa prawidłowo tylko musiałem downgrade'ować VirtualBoxa do wersji 3.2, gdyż 4.0 nie działa ze starym jądrem.

Spróbuje zrobić w weekend upgrade i może ruszy, a jak nie 2.6.37 :)

Offline Andrzej J

  • Users
  • Guru
  • *****
  • Wiadomości: 704
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #4 dnia: 2011-07-01, 15:31:52 »
Cytuj
Cytat:Mam zainstalowanego kernela 2.6.39-2, ale na sterach nvidii

    Mam zainstalowanego kernela 2.6.39-2, ale na sterach nvidii

Również mam ten kernel, i jak pisałem stery nvidii nie chcą się zainstalować, zwykle instalator podawał jakiś konkretny powód.
Ja instaluję stery nvidii od producenta taką obecnie paczkę NVIDIA-Linux-x86_64-275.09.07.run. Ze sterowników z  repo nigdy nie korzystałem.
Robiłeś wg tego poradnika?
http://dug.net.pl/tekst/141/instalacja_sterownikow_do_kart_nvidia_w_debianie/h/nvidia
Poradnik dotyczy gnome, z kde powinieneś sobie poradzić. Pozdrawiam

P.S. Przed chwilą zainstalowałem nowego kernela 2.26.39.2-2 i sterowniki od producenta jak zwykle zadziałały bo piszę z aptosida  tego posta.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 17
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #5 dnia: 2011-07-03, 10:18:43 »
Zaktualizowałem system i jeszcze raz zainstalowałem sterowniki nvidii z repo i tym razem wszystko prawidłowo się zainstalowało :)

Sterowniki działają normalnie, ale po uruchomieniu X-ów pojawia się komunikat
Xsession: unable to launch "" Xsession --- "" not found; falling back to default session
Ten komunikat pojawił się również po poprzedniej aktualizacji jak używałem kernela 2.6.37 i sterowników nouvae.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 1
    • Zobacz profil
aptosid - problem ze sterownikami nvidia
« Odpowiedź #6 dnia: 2011-07-03, 12:04:58 »
Też miałem ten sam problem po aktualizacji Debiana (testing). Przestał się uruchamiać X z powodu braku modułu nvidia w kernelu. Z powodu błędów w zależnościach w repozytorium nie mogłem zainstalować nvidia-glx i nvidia-alternatives. Ponieważ mam nVidię 9800, to niestety nie mogłem skorzystać ze sterownika "nouveau". Aby przywrócić działanie sterowników grafiki musiałem użyć sgfxi. W tym celu trzeba najpierw odinstalować istniejący sterownik nvidia:

sudo apt-get remove nvidia-kernel-dkms

następnie zainstalować oryginalny sterownik przez skrypt sgfxi:
cd /usr/local/bin
sudo wget -Nc smxi.org/sgfxi
sudo chmod +x sgfxi
sgfxi

Zostanie automattcznie ściągnięty najnowszy sterownik, skompilowany i zainstalowany w kernelu

U mnie pomogło i X działa.